> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Changes



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id}/changes
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{id}/changes:
    get:
      tags:
        - Project Item Slots
      summary: List Changes
      operationId: ProjectItemSlotsController_listChanges_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 100
            default: 20
            type: number
        - name: cursor
          required: false
          in: query
          description: Opaque cursor from a previous page.
          schema:
            type: string
        - name: sourceType
          required: false
          in: query
          schema:
            type: string
            enum:
              - catalog_sync
              - catalog_release
              - collaboration
              - import
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChangeLogListResponseDto'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
components:
  schemas:
    ChangeLogListResponseDto:
      type: object
      properties:
        total:
          type: number
          nullable: true
        items:
          type: array
          items:
            $ref: '#/components/schemas/ChangeLogEntryDto'
        nextCursor:
          type: string
          nullable: true
        hasMore:
          type: boolean
      required:
        - total
        - items
        - nextCursor
        - hasMore
    ErrorResponseDto:
      type: object
      properties:
        statusCode:
          type: number
          example: 409
        message:
          type: string
          example: Conflict
        code:
          type: string
          example: VARIANT_COMBO_TAKEN
          description: >-
            UPPER_SNAKE_CASE domain error code. Present on validation /
            business-rule errors; absent on generic HTTP errors.
        entity:
          type: string
          description: >-
            Entity type that caused the conflict (e.g. "ProjectItem"). Present
            when the error is entity-specific.
      required:
        - statusCode
        - message
    ChangeLogEntryDto:
      type: object
      properties:
        fromValue:
          type: object
          nullable: true
          additionalProperties: true
        toValue:
          type: object
          nullable: true
          additionalProperties: true
        kind:
          enum:
            - edit
            - add
            - remove
            - restore
          type: string
        sourceType:
          nullable: true
          enum:
            - catalog_sync
            - catalog_release
            - collaboration
            - import
          type: string
        id:
          type: string
        subjectType:
          type: string
        subjectId:
          type: string
        subjectDisplay:
          type: string
          nullable: true
        anchorType:
          type: string
          nullable: true
        anchorId:
          type: string
          nullable: true
        anchorDisplay:
          type: string
          nullable: true
        field:
          type: string
          nullable: true
        label:
          type: string
          nullable: true
        fromDisplay:
          type: string
          nullable: true
        toDisplay:
          type: string
          nullable: true
        batchId:
          type: string
        actorUserId:
          type: string
          nullable: true
        actorName:
          type: string
          nullable: true
        sourceId:
          type: string
          nullable: true
        sourceReleaseId:
          type: string
          nullable: true
        sourceReleaseDisplay:
          type: string
          nullable: true
        createdAt:
          type: string
      required:
        - fromValue
        - toValue
        - kind
        - sourceType
        - id
        - subjectType
        - subjectId
        - subjectDisplay
        - anchorType
        - anchorId
        - anchorDisplay
        - field
        - label
        - fromDisplay
        - toDisplay
        - batchId
        - actorUserId
        - actorName
        - sourceId
        - sourceReleaseId
        - sourceReleaseDisplay
        - createdAt

````